Bug 107005 - [patch] textproc/xmlto: change dependency shells/bash2 -> shells/bash
[patch] textproc/xmlto: change dependency shells/bash2 -> shells/bash
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Boris Samorodov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 12:00 UTC by Boris Samorodov
Modified: 2007-01-31 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2006-12-21 12:00:39 UTC
	In preparation to deprecate shells/bash2 the dependency should be
	changed to shells/bash.

Fix: - shells/bash2 -> shells/bash;
	- bump PORTREVISION (RUN_DEPENDS changes).



WBR
-- 
bsam--JKadk0LkfNbunLRh1kDMLv9GRAVZv8qgREhLtLyeZnuItYdP
Content-Type: text/plain; name="xmlto.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="xmlto.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/textproc/xmlto/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- Makefile	13 May 2006 04:24:52 -0000	1.12
+++ Makefile	20 Dec 2006 19:53:13 -0000
@@ -10,13 +10,14 @@
 
 PORTNAME=	xmlto
 PORTVERSION=	0.0.18
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	http://cyberelk.net/tim/data/xmlto/stable/
 
 MAINTAINER=	sergei@FreeBSD.org
 COMMENT=	Front-end to an XSL toolchain
 
-BUILD_DEPENDS=	${BASH_CMD}:${PORTSDIR}/shells/bash2 \
+BUILD_DEPENDS=	${BASH_CMD}:${PORTSDIR}/shells/bash \
 		${GETOPT_CMD}:${PORTSDIR}/misc/getopt \
 		xmllint:${PORTSDIR}/textproc/libxml2 \
 		xsltproc:${PORTSDIR}/textproc/libxslt \
Comment 1 Edwin Groothuis freebsd_committer 2006-12-21 12:02:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer
Comment 2 bsam 2007-01-09 18:19:27 UTC
Hi!

If you are busy ATM I may take care of the PR, thanks!

WBR
-- 
bsam
Comment 3 skolobov 2007-01-09 19:29:15 UTC
On 9 Jan 2007, at 18:40 , Boris Samorodov wrote:
>  If you are busy ATM I may take care of the PR, thanks!

Please do - thanks!

Sergei
Comment 4 sergei freebsd_committer 2007-01-29 14:44:43 UTC
Responsible Changed
From-To: sergei->freebsd-ports-bugs

Unfortunately, I do not have the time to handle this PR - return it to the pool 
so somebody else takes care of it. I have dropped xmlto port maintainership, too. 
I apologize for sitting on it for so long.
Comment 5 Boris Samorodov freebsd_committer 2007-01-31 18:51:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 6 dfilter freebsd_committer 2007-01-31 19:48:17 UTC
bsam        2007-01-31 19:48:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/cogito         Makefile 
    textproc/xmlto       Makefile 
  Log:
  In preparation to deprecate shells/bash2 do at textproc/xmlto [1]
  and devel/cogito [2]:
  . change RUN_DEPENDS shells/bash2 -> shells/bash;
  . bump PORTREVISION.
  
  PR:             107005  [1], 107113  [2]
  Submitted by:   bsam (me) [1], [2]
  Approved by:    anholt (maintainer timeout)  [2]
  
  Revision  Changes    Path
  1.6       +2 -2      ports/devel/cogito/Makefile
  1.14      +2 -1      ports/textproc/xmlto/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Boris Samorodov freebsd_committer 2007-01-31 19:49:22 UTC
State Changed
From-To: open->closed

Committed, thanks. ;-)